# plotly-gtk

| Master                                                                                                                                                                                      |
|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [![Checks](https://img.shields.io/github/actions/workflow/status/slaclau/plotly-gtk/main.yaml?logo=github&label=Checks)](https://github.com/slaclau/plotly-gtk/actions/workflows/main.yaml) |
| [![codecov](https://img.shields.io/codecov/c/github/slaclau/plotly-gtk?logo=codecov&label=Coverage)](https://codecov.io/github/slaclau/plotly-gtk)                                          |
| [![codacy](https://img.shields.io/codacy/grade/db07fc38606a432dae8f2dc316ff6913?logo=codacy&label=Code%20quality)]()                                                                        |

## Introduction

GTK renderer for charts in plotly Figure or dict format

## Examples

### [Line and scatter plots](https://plotly.com/python/line-and-scatter/)

<summary>Scatter plots with Plotly Express</summary>
<details>

![Scatter example 1](https://slaclau.github.io/plotly-gtk/_images/scatter_1.png)
![Scatter example 2](https://slaclau.github.io/plotly-gtk/_images/scatter_2.png)
</details>
<summary>Setting size and color with column names</summary>
<details>

![Scatter size color column name example](https://slaclau.github.io/plotly-gtk/_images/scatter_size_color_column.png)
</details>
<summary>Facetting</summary>
<details>

![Scatter facetting example](https://slaclau.github.io/plotly-gtk/_images/scatter_facetting.png)
</details>
<summary>Line plots with Plotly Express</summary>
<details>

![Line example 1](https://slaclau.github.io/plotly-gtk/_images/line_1.png)
![Line example 2](https://slaclau.github.io/plotly-gtk/_images/line_2.png)
</details>

### [Log plots](https://plotly.com/python/log-plot/)

<summary>Logarithmic Axes with Plotly Express</summary>
<details>

![Log example 1](https://slaclau.github.io/plotly-gtk/_images/log_1.png)
![Log example 2](https://slaclau.github.io/plotly-gtk/_images/log_2.png)
</details>

### [Multiple Axes plots](https://plotly.com/python/multiple-axes/)

<summary>Two Y Axes</summary>
<details>

![Two y axes example](https://slaclau.github.io/plotly-gtk/_images/two_y_axes.png)
</details>
<summary>Multiple Y-Axes Subplots</summary>
<details>

![Multiple Y-Axes Subplots example](https://slaclau.github.io/plotly-gtk/_images/multiple_y_axes_subplots.png)
</details>
<summary>Multiple Axes</summary>
<details>

![Multiple Axes example](https://slaclau.github.io/plotly-gtk/_images/multiple_axes.png)
</details>
<summary>Automatically Shifting Axes</summary>
<details>

![Automatically Shifting Axes example](https://slaclau.github.io/plotly-gtk/_images/autoshift.png)
</details>
<summary>Shift Axes by a Specific Number of Pixels</summary>
<details>

![Shift Axes by a Specific Number of Pixels example](https://slaclau.github.io/plotly-gtk/_images/shift_by_pixels.png)
</details>
